1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

REQUEST Please add Philips Hue Entertainment Center Compatibility

Discussion in 'Feature Requests' started by djcesar, 21 April 2019.

  1. djcesar

    djcesar New Member

    Messages:
    3
    Hardware:
    RPi3, 32/64bit, +PhilipsHue
    Last edited: 21 April 2019
    • Like Like x 3
  2. Rick164

    Rick164 Administrator Staff Member Administrator

    Messages:
    192
    Hardware:
    RPi2, +Arduino, +AtmoOrb
    Looks really good, if we can combine this with Hyperion live capture can get some amazing results :)
     
    • Agree Agree x 1
  3. Phobos

    Phobos New Member

    Messages:
    4
    Hardware:
    +PhilipsHue
    • Like Like x 1
  4. fir3drag0n

    fir3drag0n Member

    Messages:
    53
    Hardware:
    RPi2, RPi3, +PhilipsHue
  5. snikcers

    snikcers Member

    Messages:
    43
    Hardware:
    RPi1/Zero, RPi2, RPi3, 32/64bit, +PhilipsHue
    No need for that expensive piece of hardware if your Hyperion Setup can actually do it :)
    You can actually compile it yourself. I am using the branch from SJunkies and the Hue Entertainment Support is working quite good!
    Just follow the originale compile instructions (I just changed the git part to use the entertainment-api-2019 branch!

    sudo apt-get update
    sudo apt-get install git cmake build-essential qtbase5-dev libqt5serialport5-dev libusb-1.0-0-dev python3-dev libxrender-dev libavahi-core-dev libavahi-compat-libdnssd-dev libjpeg-dev libqt5sql5-sqlite
    sudo apt-get install libraspberrypi-dev
    sudo apt-get install libmbedtls-dev

    git clone --b entertainment-api-2019 --single-branch --recursive https://github.com/SJunkies/hyperion.ng.git hyperion
    cd hyperion
    mkdir build
    cd build
    cmake -DCMAKE_BUILD_TYPE=Release ..
    make -j $(nproc)
    sudo make install/strip
     
  6. Phobos

    Phobos New Member

    Messages:
    4
    Hardware:
    +PhilipsHue
    And how would i go about this, if i wanted to compile it for kodi on an odroid c2? Im running CoreElec on the odroid and just have a windows 8 or osx machine to actually build and i guess that's where it ends for me, right?